/*
******************************************************************************

   Edemo implementation for X target - header.

   Authors:	1999 Marcus Sundberg	[marcus@ggi-project.org]
  
   This code is placed in the public domain and may be used freely for any
   purpose.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
   THE AUTHOR(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
   IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
   CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

******************************************************************************
*/

#include <ggi/internal/edemo.h>

/* Function prototypes */
edemofunc_function1 EDEMO_X_function1;
edemofunc_function2 EDEMO_X_function2;

/* Structure holding private data. (ofcourse we don't need a private structure
   if it isn't used, this is just here to show how to implement one) */
struct xedemo_priv
{
	int   dummy1;
	long *dummyptr;
};

#define XEDEMO_PRIV(vis) ((struct xedemo_priv*) (LIBGGI_EDEMOEXT(vis)->priv))
